package ai.pai.lensman.base;

/**
 * Created by chengzhenyu on 2016/8/12.
 */
public interface BaseInteractor {

    void startJob();
    void cancelJob();

    interface InteractorListener<T>{
        void onInteractSuccess(T result);
        void onInteractFail(String errorMsg);
    }

}
